/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package pe.siso.horario.DAO;

import java.util.ArrayList;
import pe.siso.horario.Beans.AreaDocente;

/**
 *
 * @author fcelestino
 */
public interface AreaDocenteDAO {
    public int cantidadAsignado(int codigoDocente) throws Exception;
    public void registrarAreaDocente(String codigoDocente,String codigoArea) throws Exception;
    public int consultarAsignado(String codigoDocente,String codigoArea) throws Exception;
    public ArrayList<AreaDocente> consultarAsignados(String codigosDocente) throws Exception;
    public ArrayList<AreaDocente> cargarDocentesDisponibles(String codigoTurno,String dia,String codigoCurso) throws Exception;
    public ArrayList<AreaDocente> cargarDocentesDisponibles(String codigoTurno,String dia,String codigoCurso,String periodo) throws Exception;
    public ArrayList<AreaDocente> cargarDocentesDisponibles2(String codigoTurno,String dia,String codigoCurso,String periodo) throws Exception;
    public void quitarAreaDocente(String codigoDocente,String codigoArea) throws Exception;
    
}
